< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package objectstore
  Definition Classes
    hmrc
-  package client
  Definition Classes
    objectstore
-  package play
  Definition Classes
    client
-  package modules
  Definition Classes
    play
-  package test
  Definition Classes
    play
- HttpBody
- Implicits
- InMemoryPlayObjectStoreContentReads
- LowPriorityInMemoryPlayObjectStoreContentReads
- Md5Hash
- MonadFuture
- PlayFormats
- PlayMonad
- PlayMonads
- PlayObjectStoreClient
- PlayObjectStoreClientEither
- PlayObjectStoreContentReads
- PlayObjectStoreContentWrites
- PlayObjectStoreReads
- PlayWSHttpClient

t

uk.gov.hmrc.objectstore.client.play

# LowPriorityInMemoryPlayObjectStoreContentReads 

###

#### trait LowPriorityInMemoryPlayObjectStoreContentReads extends PlayObjectStoreContentReads

Linear Supertypes
PlayObjectStoreContentReads, AnyRef, Any
Known Subclasses
InMemoryReads, InMemoryPlayObjectStoreContentReads
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LowPriorityInMemoryPlayObjectStoreContentReads
2. PlayObjectStoreContentReads
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  implicit def akkaSourceContentRead[F[_]](implicit F: PlayMonad[F]): ObjectStoreContentRead[F, ResBody, Source[ByteString, NotUsed]]
   Definition Classes
     PlayObjectStoreContentReads
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  implicit def jsReadsRead[F[_], A](implicit arg0: Reads[A], m: Materializer, F: PlayMonad[F]): ObjectStoreContentRead[F, ResBody, A]
14.  def jsValueContentRead[F[_]](implicit m: Materializer, F: PlayMonad[F]): ObjectStoreContentRead[F, ResBody, JsValue]
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  def stringContentRead[F[_]](implicit m: Materializer, F: PlayMonad[F]): ObjectStoreContentRead[F, ResBody, String]
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from PlayObjectStoreContentReads

### Inherited from AnyRef

### Inherited from Any

### Ungrouped